package cn.tonyandmoney.tuon.core.user;

import java.util.Collections;
import java.util.List;

/**
 * @Classname IUser
 * @Description TODO
 * @Date 2019/8/25 19:55
 * @Created by Administrator
 */
public interface IUser {

    /**
     * 获取用户的ID
     *
     * @return
     */
    String getUserId();

    /**
     * 用户的姓名，并不是别的
     *
     * @return
     */
    String getUsername();

    /**
     * 用户的账号
     *
     * @return
     */
    String getAccount();


    default List<String> getRoleIdList() {
        return Collections.emptyList();
    }

    default List<String> getGroupIdList() {
        return Collections.emptyList();
    }

    default List<String> getDeptIdList() {
        return Collections.emptyList();
    }

    default List<IDept> getDepts() {
        return Collections.emptyList();
    }

    default List<IRole> getRoles() {
        return Collections.emptyList();
    }

    default List<String> getTagList() {
        return Collections.emptyList();
    }

    default List<IUserGroup> getUserGroup() {
        return Collections.emptyList();
    }

}
